metadata:
    name: shell_custom
    format: "Lava-Test-Shell Test Definition 1.0"
    description: "Run monkey test long time with blacklist"
    maintainer:
        - yongqin.liu@linaro.org
    os:
        - android
    scope:
        - functional
    devices:
        - wg

params:
    SHELL_COMMAND: "sleep 3600"

run:
    steps:
        - lava-test-case cd-data --shell cd /data
        - lava-test-case wget --shell wget http://people.linaro.org/~yongqin.liu/yaml/fs-overload.sh -O /data/fs-overload.sh
        - lava-test-case chmod --shell chmod 777 /data/fs-overload.sh
        - lava-test-case fs-overload --shell sh /data/fs-overload.sh
        - lava-test-case compress --shell tar cvf /data/result.tar /data/*.xls /data/*.log
        - lava-test-run-attach /data/result.tar application/x-gzip


